#ifndef QCOLORBARAXIS_H
#define QCOLORBARAXIS_H

#include <QtCharts/QAbstractAxis>

QT_CHARTS_BEGIN_NAMESPACE

class QColorBarAxisPrivate;

class QT_CHARTS_EXPORT QColorBarAxis : public QAbstractAxis
{
    Q_OBJECT
public:
    explicit QColorBarAxis(QRectF plotArea,QLinearGradient gradient, qreal min, qreal max,QObject *parent = 0);
    ~QColorBarAxis();

protected:
    QColorBarAxis(QColorBarAxisPrivate &d, QObject *parent = 0);

public:
    AxisType type() const;

    //range handling
    void setMin(qreal min);
    qreal min() const;
    void setMax(qreal max);
    qreal max() const;
     void setRange(qreal min, qreal max);

    //ticks handling
    void setTickCount(int count);
    int tickCount() const;
    void setMinorTickCount(int count);
    int minorTickCount() const;

    void setLabelFormat(const QString &format);
    QString labelFormat() const;

Q_SIGNALS:
    void minChanged(qreal min);
    void maxChanged(qreal max);
    void rangeChanged(qreal min, qreal max);
    void tickCountChanged(int tickCount);
    void minorTickCountChanged(int tickCount);
    void labelFormatChanged(const QString &format);

private:
    Q_DECLARE_PRIVATE(QColorBarAxis)
    Q_DISABLE_COPY(QColorBarAxis)
};

QT_CHARTS_END_NAMESPACE

#endif // QCOLORBARAXIS_H
